2021-12-08 19:03 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002247FSSCPtablespublic2021-01-09 04:09
ReporterFury 
Assigned ToMjnMixael 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version3.6.12 RC3 
Target VersionFixed in Version 
Summary0002247: music.tbl, messages.tbl and file extensions
DescriptionRecently BP team tested whether music.tbl, sounds.tbl, messages.tbl and mission files work without specifying audio file extensions.

Turns out that while sounds.tbl and mission files work without file extensions, messages.tbl and music.tbl do not. Anything that is specified in messages.tbl and music.tbl (or tbm) without file extension do not play. Debug does not give any errors however.

I have attached modified retail and mediavps tables that have had file extensions removed.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012174

Fury (reporter)

Further testing confirmed following behavior related to sound extensions.

If sounds.tbl references to .wav file, but .ogg file of same name also exists, the ogg file is used. The file can also exist in sounds directory, doesn't have to be in 8b22k or 16b11k directory. Reverse is also true, if sounds.tbl references to .ogg and it is not found, the game falls back to .wav.

Above is also true for messages.tbl and music.tbl as well as mission files apparently. So this bug in music.tbl and messages.tbl really is minor.

~0012176

taylor (administrator)

Search order is for ogg then wav, so ogg will always be preferred. However it is location based, so if both ogg and wav exist in the same path then the ogg will be used, but if a higher order path has just a wav in it then it will be used. Except for music.tbl, file extensions for sounds are always ignored, so you the only way to make sure one in particular is going to get loaded is to put it in a higher order path.

Regarding music.tbl/tbm, it does require an extension to be present and that is not a bug. It is done that way specifically to deal with previous Mantis bugs. This should only apply to soundtrack entries however and not menu music entries. Menu music entries will use the default search order. Also it will send an open failure message to the debug log, but only if "+Sound" is in your debug_filter.cfg.

Not sure why messages.tbl wouldn't be working. It loads sounds the same way that sound.tbl does so if one works then so should the other. And add "+messaging" to debug_filter.cfg in order to get debug spew as to whether or not an audio file got loaded or not from messages.tbl.


At least that's how I remember all of that stuff anyway. I'm not sure if anything has changed in the past few years since I worked on all of it.

~0017052

MjnMixael (manager)

Somewhere along the line this has been fixed. I have verified messages and music both play when file extensions are not in the tables using the provided test tables.
+Notes

-Issue History
Date Modified Username Field Change
2010-07-03 02:30 Fury New Issue
2010-07-03 02:30 Fury File Added: tables.zip
2010-07-03 05:11 Fury Note Added: 0012174
2010-07-03 06:58 taylor Note Added: 0012176
2021-01-09 04:09 MjnMixael Assigned To => MjnMixael
2021-01-09 04:09 MjnMixael Status new => closed
2021-01-09 04:09 MjnMixael Resolution open => fixed
2021-01-09 04:09 MjnMixael Note Added: 0017052
+Issue History